package com.example.neurea.navigation

import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.rememberCoroutineScope
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.neurea.views.screens.AuthorizationScreen
import com.example.neurea.views.screens.SplashScreen

@Composable
fun Navigation(){
    val navController = rememberNavController()
    var start = "splashScreen"

    NavHost(navController = navController, startDestination = start) {
        composable("splashScreen"){
            SplashScreen(navController = navController)
        }
        composable("authorizationScreen"){
            AuthorizationScreen() //navController = navController
        }
    }

}